ChangeSet 1.1500.8.14, 2004/02/02 13:44:55-08:00, olh@suse.de

[PATCH] USB storage: fix sign bug in usb-storage datafab

2.6 has no -fsigned-char anymore. there are 3 checks for info->lun < 0


 drivers/usb/storage/datafab.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/storage/datafab.h b/drivers/usb/storage/datafab.h
--- a/drivers/usb/storage/datafab.h	Mon Feb  9 14:40:23 2004
+++ b/drivers/usb/storage/datafab.h	Mon Feb  9 14:40:23 2004
@@ -29,7 +29,7 @@
 struct datafab_info {
 	unsigned long   sectors;	// total sector count
 	unsigned long   ssize;		// sector size in bytes
-	char		lun;		// used for dual-slot readers
+	signed char	lun;		// used for dual-slot readers
 	
 	// the following aren't used yet
 	unsigned char   sense_key;
